/*
 *  MultiFunciton Serial Driver (Channel Control)
 */

#include "mcu.h"
#include "Mfs_FM3.h"


/*
 *  Interrupt Handler for Ch0
 */
void  MFS0RX_IRQHandler(void)
{
	uart_IrqHandler();
}

void  MFS0TX_IRQHandler(void)
{
	uart_IrqHandler();
}

/*
 *  Interrupt Handler for Ch1
 */
void  MFS1RX_IRQHandler(void)
{
	uart_IrqHandler();
}

void  MFS1TX_IRQHandler(void)
{
	uart_IrqHandler();
}

/*
 *  Interrupt Handler for Ch2
 */
void  MFS2RX_IRQHandler(void)
{
	uart_IrqHandler();
}

void  MFS2TX_IRQHandler(void)
{
	uart_IrqHandler();
}

/*
 *  Interrupt Handler for Ch3
 */
void  MFS3RX_IRQHandler(void)
{
	uart_IrqHandler();
}

void  MFS3TX_IRQHandler(void)
{
	uart_IrqHandler();
}

/*
 *  Interrupt Handler for Ch4
 */
void  MFS4RX_IRQHandler(void)
{
	uart_IrqHandler();
}

void  MFS4TX_IRQHandler(void)
{
	uart_IrqHandler();
}

/*
 *  Interrupt Handler for Ch5
 */
void  MFS5RX_IRQHandler(void)
{
	uart_IrqHandler();
}

void  MFS5TX_IRQHandler(void)
{
	uart_IrqHandler();
}

/*
 *  Interrupt Handler for Ch6
 */
void  MFS6RX_IRQHandler(void)
{
	uart_IrqHandler();
}

void  MFS6TX_IRQHandler(void)
{
	uart_IrqHandler();
}

/*
 *  Interrupt Handler for Ch7
 */
void  MFS7RX_IRQHandler(void)
{
	uart_IrqHandler();
}

void  MFS7TX_IRQHandler(void)
{
	uart_IrqHandler();
}
